Index: src/main/java/com/example/cookbook/controller/HomeController.java
===================================================================
--- src/main/java/com/example/cookbook/controller/HomeController.java	(revision 501396eb0bc93eea13801d6b1a3904aa9457af83)
+++ src/main/java/com/example/cookbook/controller/HomeController.java	(revision aea04dd11bd317791370e0f33f770b3a4f0abed3)
@@ -2,8 +2,10 @@
 
 
+import com.example.cookbook.model.Komentar;
 import com.example.cookbook.model.Recept;
 import com.example.cookbook.model.Slika;
 import com.example.cookbook.model.Sostojka;
 import com.example.cookbook.model.exception.ReceptNeEPronajdenException;
+import com.example.cookbook.service.KomentariService;
 import com.example.cookbook.service.ReceptService;
 import com.example.cookbook.service.SlikiService;
@@ -25,9 +27,14 @@
     private final SostojkiService sostojkiService;
 
-    public HomeController(ReceptService receptService, SlikiService slikiService, SostojkiService sostojkiService) {
+    private final KomentariService komentariService;
+
+    public HomeController(ReceptService receptService,
+                          SlikiService slikiService,
+                          SostojkiService sostojkiService, KomentariService komentariService) {
 
         this.receptService = receptService;
         this.slikiService = slikiService;
         this.sostojkiService = sostojkiService;
+        this.komentariService = komentariService;
     }
 
@@ -51,8 +58,10 @@
         List<Slika> sliki;
         List<Sostojka> sostojki;
+        List<Komentar> komentari;
         try {
             recept = receptService.findById(id);
             sliki = slikiService.findAllPicById(id);
             sostojki = sostojkiService.findAllById(id);
+            komentari = komentariService.findAllById(id);
         } catch (SQLException e) {
             return "redirect:/error-page/SQL%20Exception";
@@ -63,4 +72,5 @@
         model.addAttribute("sliki", sliki);
         model.addAttribute("sostojki", sostojki);
+        model.addAttribute("komentari", komentari);
         return "recept";
     }
Index: src/main/java/com/example/cookbook/model/Komentar.java
===================================================================
--- src/main/java/com/example/cookbook/model/Komentar.java	(revision aea04dd11bd317791370e0f33f770b3a4f0abed3)
+++ src/main/java/com/example/cookbook/model/Komentar.java	(revision aea04dd11bd317791370e0f33f770b3a4f0abed3)
@@ -0,0 +1,83 @@
+package com.example.cookbook.model;
+
+import java.time.LocalDateTime;
+import java.time.format.DateTimeFormatter;
+
+public class Komentar {
+
+    private LocalDateTime komData;
+
+    private String telefon;
+
+    private Long recId;
+
+    private Integer ocena;
+
+    private String text;
+
+    private String imePrezime;
+
+    public String getImePrezime() {
+        return imePrezime;
+    }
+
+    public void setImePrezime(String imePrezime) {
+        this.imePrezime = imePrezime;
+    }
+
+    public Komentar(LocalDateTime komData, String telefon, Long recId, Integer ocena, String text, String imePrezime) {
+        this.komData = komData;
+        this.telefon = telefon;
+        this.recId = recId;
+        this.ocena = ocena;
+        this.text = text;
+        this.imePrezime = imePrezime;
+    }
+
+    public Komentar() {
+    }
+
+    public LocalDateTime getKomData() {
+        return komData;
+    }
+
+    public void setKomData(LocalDateTime komData) {
+        this.komData = komData;
+    }
+
+    public String getTelefon() {
+        return telefon;
+    }
+
+    public void setTelefon(String telefon) {
+        this.telefon = telefon;
+    }
+
+    public Long getRecId() {
+        return recId;
+    }
+
+    public void setRecId(Long recId) {
+        this.recId = recId;
+    }
+
+    public Integer getOcena() {
+        return ocena;
+    }
+
+    public void setOcena(Integer ocena) {
+        this.ocena = ocena;
+    }
+
+    public String getText() {
+        return text;
+    }
+
+    public void setText(String text) {
+        this.text = text;
+    }
+
+    public String getDataFormatirana(){
+        return komData.format(DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm"));
+    }
+}
Index: src/main/java/com/example/cookbook/repository/KomentariRepository.java
===================================================================
--- src/main/java/com/example/cookbook/repository/KomentariRepository.java	(revision aea04dd11bd317791370e0f33f770b3a4f0abed3)
+++ src/main/java/com/example/cookbook/repository/KomentariRepository.java	(revision aea04dd11bd317791370e0f33f770b3a4f0abed3)
@@ -0,0 +1,50 @@
+package com.example.cookbook.repository;
+
+
+import com.example.cookbook.dbConfig.DB;
+import com.example.cookbook.model.Komentar;
+import org.springframework.stereotype.Repository;
+
+import java.sql.Connection;
+import java.sql.PreparedStatement;
+import java.sql.ResultSet;
+import java.sql.SQLException;
+import java.time.LocalDateTime;
+import java.util.ArrayList;
+import java.util.List;
+
+@Repository
+public class KomentariRepository {
+
+    public List<Komentar> findAllByRecId(Long recId) throws SQLException {
+        Connection connection = DB.getConnection();
+
+        String query = "select k.kom_data, k.telefon, k.rec_id, k.ocena, k.text, korisnici.kor_ime, korisnici.prezime\n" +
+                "from komentari k\n" +
+                "    left join korisnici on k.telefon = korisnici.telefon\n" +
+                "where rec_id = ?;";
+
+        PreparedStatement prepStm = connection.prepareStatement(query);
+        prepStm.setLong(1, recId);
+
+        ResultSet result = prepStm.executeQuery();
+        List<Komentar> komentari = new ArrayList<>();
+
+        while (result.next()){
+            Komentar komentar = new Komentar();
+            komentar.setKomData(result.getObject("kom_data", LocalDateTime.class));
+            komentar.setTelefon(result.getString("telefon"));
+            komentar.setRecId(result.getLong("rec_id"));
+            komentar.setOcena(result.getInt("ocena"));
+            komentar.setText(result.getString("text"));
+            komentar.setImePrezime(result.getString("kor_ime") + " " + result.getString("prezime"));
+            komentari.add(komentar);
+        }
+
+        result.close();
+        prepStm.close();
+        DB.closeConnection();
+
+        return komentari;
+    }
+}
Index: src/main/java/com/example/cookbook/service/KomentariService.java
===================================================================
--- src/main/java/com/example/cookbook/service/KomentariService.java	(revision aea04dd11bd317791370e0f33f770b3a4f0abed3)
+++ src/main/java/com/example/cookbook/service/KomentariService.java	(revision aea04dd11bd317791370e0f33f770b3a4f0abed3)
@@ -0,0 +1,11 @@
+package com.example.cookbook.service;
+
+import com.example.cookbook.model.Komentar;
+
+import java.sql.SQLException;
+import java.util.List;
+
+public interface KomentariService {
+
+    List<Komentar> findAllById(Long recId) throws SQLException;
+}
Index: src/main/java/com/example/cookbook/service/impl/KomentariServiceImpl.java
===================================================================
--- src/main/java/com/example/cookbook/service/impl/KomentariServiceImpl.java	(revision aea04dd11bd317791370e0f33f770b3a4f0abed3)
+++ src/main/java/com/example/cookbook/service/impl/KomentariServiceImpl.java	(revision aea04dd11bd317791370e0f33f770b3a4f0abed3)
@@ -0,0 +1,25 @@
+package com.example.cookbook.service.impl;
+
+
+import com.example.cookbook.model.Komentar;
+import com.example.cookbook.repository.KomentariRepository;
+import com.example.cookbook.service.KomentariService;
+import org.springframework.stereotype.Service;
+
+import java.sql.SQLException;
+import java.util.List;
+
+@Service
+public class KomentariServiceImpl implements KomentariService {
+
+    private final KomentariRepository komentariRepository;
+
+    public KomentariServiceImpl(KomentariRepository komentariRepository) {
+        this.komentariRepository = komentariRepository;
+    }
+
+    @Override
+    public List<Komentar> findAllById(Long recId) throws SQLException {
+        return komentariRepository.findAllByRecId(recId);
+    }
+}
